Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Class LSTORE

    java.lang.Object
      |
      +--org.apache.bcel.generic.Instruction
            |
            +--org.apache.bcel.generic.LocalVariableInstruction
                  |
                  +--org.apache.bcel.generic.StoreInstruction
                        |
                        +--org.apache.bcel.generic.LSTORE

All Implemented Interfaces:
  java.lang.Cloneable, IndexedInstruction, PopInstruction, java.io.Serializable, StackConsumer, TypedInstruction

public class LSTORE
extends StoreInstruction

LSTORE - Store long into local variable

    Stack: ..., value.word1, value.word2 -> ...

Version:
  $Id: LSTORE.java,v 1.1.1.1 2001/10/29 20:00:22 jvanzyl Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.LocalVariableInstruction
`n`

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`LSTORE(int n)`

Method Summary
`void` | `accept(Visitor v)` Call corresponding visitor method(s).

Methods inherited from class org.apache.bcel.generic.LocalVariableInstruction
`dump, getCanonicalTag, getIndex, getType, initFromFile, setIndex, toString`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, produceStack, readInstruction, setComparator, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackConsumer
`consumeStack`

Constructor Detail

### LSTORE

    public LSTORE(int n)

Method Detail

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Overrides:
    `accept` in class `StoreInstruction`
  Parameters:
    `v` - Visitor object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.